# frozen_string_literal: true
require "bundler/setup"
Bundler.setup

require "rspec"
require "capybara/rspec"
require "middleman-core"
require "middleman-core/rack"

Dir["./spec/support/*.rb"].each { |f| require f }

if RUBY_VERSION >= "2.0.0"
  require "pry-byebug"
else
  require "pry-debugger"
end

require "middleman/decorators"

RSpec.configure do |config|
  config.filter_run :focus
  config.run_all_when_everything_filtered = true
  config.profile_examples = 10
  config.expect_with :rspec do |expectations|
    expectations.syntax = :expect
  end
end
