require "fileutils"

module Middleman
  module Fixture
    ROOT = File.expand_path("../..", __dir__).freeze
    TMP  = File.join(ROOT, "tmp").freeze

    class << self
      def init(fixture)
        cleanup!

        `rsync -av ./spec/fixtures/#{fixture}/ #{TMP}/`
        Dir.chdir TMP
      end

      def file(name, content)
        file_path = File.join TMP, name
        FileUtils.mkdir_p File.dirname(file_path)
        File.open(file_path, "w") do |file|
          file.write content
        end
      end

      def cleanup!
        Dir.chdir ROOT
        FileUtils.rm_rf TMP
      end

      def app
        ENV["MM_ROOT"] = TMP
        ::Middleman::Application.new
      end

      def browser(middleman_app)
        Capybara.app = ::Middleman::Rack.new(middleman_app).to_app do
          set :root, Middleman::Fixture::TMP
          set :environment, :development
          set :show_exceptions, false
        end
      end
    end
  end
end
